-- First make sure that the TextSubs module is loaded
if(FlexBar2:HasModule("TextSubs")) then
	local ComboPoints = FlexBar2:NewModule("ComboPoints");

	-- Create a ButtonMixin, this will be mixed into every button object
	ComboPoints.ButtonMixin = {};

	-- Create a local function to update textsubs, it should be registered on activate and unregsitered on deactivate
	local UpdateComboPoints = function(self) self:UpdateTextSub("cp"); end;
	function ComboPoints.ButtonMixin:Activate()
		self:AddEventListener("PLAYER_COMBO_POINTS", UpdateComboPoints);
	end

	function ComboPoints.ButtonMixin:Deactivate()
		self:RemoveEventListener("PLAYER_COMBO_POINTS", UpdateComboPoints);
	end

	-- Register $(cp)
	FlexBar2:GetModule("TextSubs"):RegisterTextSub("cp", function() return GetComboPoints(); end);
end
